#pragma once
#include "DirectXFramework.h"
#include "SceneNode.h"

class SubMeshNode : public SceneNode
{
public:
	SubMeshNode(wstring name, shared_ptr<SubMesh> subMesh, bool transparent = false) : SceneNode(name) { _subMesh = subMesh; _transparent = transparent; }

	bool Initialise();
	void Render();
	void Shutdown();

	bool IsTransparent() const;
	shared_ptr<SubMesh> GetSubMesh() const;
	XMFLOAT4X4 GetCurrentTransform() const;

private:		
	shared_ptr<SubMesh>				_subMesh;

	bool _transparent;
};

